Bug 194286 - CVE-2006-2842 Squirrelmail file inclusion
CVE-2006-2842 Squirrelmail file inclusion
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
impact=moderate,source=bugtraq,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 16:39 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.6-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 08:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-06-06 16:39:12 EDT
+++ This bug was initially created as a clone of Bug #194283 +++

Squirrelmail file inclusion

A PHP file inclusion error was found in squirrelmail.  If if
register_globals is enabled and magic_quotes_gpc is disabled,
it becomes possible for an unauthenticated remote attacker to view
arbitrary file contents.

This confuration is not default nor safe.

http://marc.theaimsgroup.com/?l=bugtraq&m=114920246410100&w=2


This issue also affects RHEL3
Comment 1 Josh Bressers 2006-06-06 16:42:24 EDT
There is an upstream patch here:

http://www.squirrelmail.org/security/issue/2006-06-01

Note You need to log in before you can comment on or make changes to this bug.